net.sf.jasperreports.types.date

## Class FixedTimestamp

- java.lang.Object
- - net.sf.jasperreports.types.date.AbstractDateRange
  - - net.sf.jasperreports.types.date.FixedDate
    - - net.sf.jasperreports.types.date.FixedTimestamp

- All Implemented Interfaces:
    java.io.Serializable, DateRange, TimestampRange

      public class FixedTimestamp
      extends FixedDate
      implements TimestampRange

  Implementation of `DateRange` for fixed, non relative timestamp.

  Version:
    $Id: FixedTimestamp.java 5880 2013-01-07 20:40:06Z teodord $
  Author:
    Sergey Prilukin
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `TIMESTAMP_PATTERN`

    - ### Fields inherited from class net.sf.jasperreports.types.date.FixedDate

      `DATE_PATTERN`

    - ### Fields inherited from class net.sf.jasperreports.types.date.AbstractDateRange

      `expression, timeZone`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FixedTimestamp(java.lang.String expression)`
    `FixedTimestamp(java.lang.String expression, java.util.TimeZone timeZone, java.lang.String datePattern)`
    `FixedTimestamp(java.sql.Timestamp date)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `getDefaultPattern()`
    `java.sql.Timestamp` | `getEnd()`
    `java.sql.Timestamp` | `getStart()`

    - ### Methods inherited from class net.sf.jasperreports.types.date.FixedDate

      `validateExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TIMESTAMP_PATTERN

          public static final java.lang.String TIMESTAMP_PATTERN

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FixedTimestamp

          public FixedTimestamp(java.lang.String expression)

    - #### FixedTimestamp

          public FixedTimestamp(java.lang.String expression,
                        java.util.TimeZone timeZone,
                        java.lang.String datePattern)

    - #### FixedTimestamp

          public FixedTimestamp(java.sql.Timestamp date)

  - ### Method Detail

    - #### getDefaultPattern

          protected java.lang.String getDefaultPattern()

      Overrides:
        `getDefaultPattern` in class `FixedDate`

    - #### getStart

          public java.sql.Timestamp getStart()

      Specified by:
        `getStart` in interface `DateRange`
      Specified by:
        `getStart` in interface `TimestampRange`
      Overrides:
        `getStart` in class `FixedDate`

    - #### getEnd

          public java.sql.Timestamp getEnd()

      Specified by:
        `getEnd` in interface `DateRange`
      Specified by:
        `getEnd` in interface `TimestampRange`
      Overrides:
        `getEnd` in class `FixedDate`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com